OpenVDB 12.1.0

Loading...
Searching...
No Matches
RealToHalf< T > Struct Template Reference

RealToHalf and its specializations define a mapping from floating-point data types to analogous half float types. More...

`#include <openvdb/io/Compression.h>`

## Public Types
enum | { isReal = false }
using | HalfT = T

## Static Public Member Functions
static HalfT | convert (const T &val)

## Detailed Description

template<typename T>
struct openvdb::v12_1::io::RealToHalf< T >

RealToHalf and its specializations define a mapping from floating-point data types to analogous half float types.

## Member Typedef Documentation

## ◆ HalfT

template<typename T>

using HalfT = T

## Member Enumeration Documentation

## ◆ anonymous enum

template<typename T>

anonymous enum

Enumerator
isReal |

## Member Function Documentation

## ◆ convert()

template<typename T>

HalfT convert | ( | const T & | val | ) |
| inline static